## org.eclipse.datatools.sqltools.common.ui.util
Class SWTUtilsExt

    java.lang.Object
      org.eclipse.datatools.sqltools.common.ui.util.SWTUtilsExt

    public class SWTUtilsExt

extends java.lang.Object

SWT utils class for creation wizard and editor

Author:
  Hui Wan

Constructor Summary
`SWTUtilsExt()`

Method Summary
`static org.eclipse.swt.widgets.Button` `createButton(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.widgets.FormToolkit toolkit)` Create Button from specified label by parent or Managed form
`static org.eclipse.swt.widgets.Button` `createButton(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.IManagedForm form)` Create Button from specified label by parent or Managed form
`static org.eclipse.swt.custom.CCombo` `createCCombo(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.widgets.FormToolkit toolkit)` Create CCombox by creation wizard or toolkit
`static org.eclipse.swt.custom.CCombo` `createCCombo(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.IManagedForm form)` Create CCombox by creation wizard or Managed form
`static org.eclipse.swt.widgets.Combo` `createCombo(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.widgets.FormToolkit toolkit)` Create Combo from specified label by parent or Managed form
`static org.eclipse.swt.widgets.Combo` `createCombo(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.IManagedForm form)` Create Combo from specified label by parent or Managed form
`static org.eclipse.swt.widgets.Composite` `createComposite(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.widgets.FormToolkit toolkit)` Create Composite by parent or Managed form
`static org.eclipse.swt.widgets.Composite` `createComposite(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.IManagedForm form)` Create Composite by creation wizard or toolkit
`static org.eclipse.swt.widgets.Label` `createLabel(org.eclipse.swt.widgets.Composite parent, java.lang.String text, int style, org.eclipse.ui.forms.widgets.FormToolkit toolkit)` Create label by form toolkit
`static org.eclipse.swt.widgets.Label` `createLabel(org.eclipse.swt.widgets.Composite parent, java.lang.String text, int style, org.eclipse.ui.forms.widgets.FormToolkit toolkit, boolean IsInputFormStyledLabel)` Create label by form toolkit
`static org.eclipse.swt.widgets.Label` `createLabel(org.eclipse.swt.widgets.Composite parent, java.lang.String text, int style, org.eclipse.ui.forms.IManagedForm form)` Create Labels from specified label by parent or Managed form(for editor)
`static org.eclipse.swt.widgets.Label` `createLabel(org.eclipse.swt.widgets.Composite parent, java.lang.String text, int style, org.eclipse.ui.forms.IManagedForm form, boolean IsInputFormStyledLabel)` Create label by managed form
`static org.eclipse.swt.widgets.Spinner` `createSpinner(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.widgets.FormToolkit toolkit)` Create Spinner by parent or Managed form
`static org.eclipse.swt.widgets.Spinner` `createSpinner(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.IManagedForm form)` Create Spinner by parent or Managed form
`static org.eclipse.swt.custom.StyledText` `createStyledText(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.widgets.FormToolkit toolkit)` Create Styled text by creation wizard or toolkit
`static org.eclipse.swt.custom.StyledText` `createStyledText(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.IManagedForm form)` Create StyledText by parent or Managed form
`static org.eclipse.swt.widgets.Table` `createTable(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.widgets.FormToolkit toolkit)` Create table by creation wizard or toolkit
`static org.eclipse.swt.widgets.Table` `createTable(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.IManagedForm form)` Create StyledText by parent or Managed form
`static org.eclipse.swt.widgets.Text` `createText(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.widgets.FormToolkit toolkit)` Create Text from specified label
`static org.eclipse.swt.widgets.Text` `createText(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.forms.IManagedForm form)` Create Text by creation wizard or toolkit
`static org.eclipse.swt.widgets.Text` `createText(org.eclipse.swt.widgets.Composite parent, java.lang.String value, int style, org.eclipse.ui.forms.widgets.FormToolkit toolkit)` Create Text by creation wizard or toolkit
`static org.eclipse.swt.widgets.Text` `createText(org.eclipse.swt.widgets.Composite parent, java.lang.String value, int style, org.eclipse.ui.forms.IManagedForm form)` Create Text by parent or Managed form

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWTUtilsExt

    public SWTUtilsExt()

Method Detail

### createLabel

    public static org.eclipse.swt.widgets.Label createLabel(org.eclipse.swt.widgets.Composite parent,
                                                            java.lang.String text,
                                                            int style,
                                                            org.eclipse.ui.forms.IManagedForm form)

  Create Labels from specified label by parent or Managed form(for editor)

  Parameters:
    `parent` - Parent composite
    `text` - the label text
    `style` - SWT style
    `form` - Managed form
  Returns:
    Label

### createLabel

    public static org.eclipse.swt.widgets.Label createLabel(org.eclipse.swt.widgets.Composite parent,
                                                            java.lang.String text,
                                                            int style,
                                                            org.eclipse.ui.forms.widgets.FormToolkit toolkit)

  Create label by form toolkit

  Parameters:
    `parent` -
    `text` -
    `style` -
    `toolkit` -
  Returns:

### createLabel

    public static org.eclipse.swt.widgets.Label createLabel(org.eclipse.swt.widgets.Composite parent,
                                                            java.lang.String text,
                                                            int style,
                                                            org.eclipse.ui.forms.widgets.FormToolkit toolkit,
                                                            boolean IsInputFormStyledLabel)

  Create label by form toolkit

  Parameters:
    `parent` -
    `text` -
    `style` -
    `toolkit` -
    `IsInputFormStyledLabel` -
  Returns:

### createLabel

    public static org.eclipse.swt.widgets.Label createLabel(org.eclipse.swt.widgets.Composite parent,
                                                            java.lang.String text,
                                                            int style,
                                                            org.eclipse.ui.forms.IManagedForm form,
                                                            boolean IsInputFormStyledLabel)

  Create label by managed form

  Parameters:
    `parent` -
    `text` -
    `style` -
    `form` -
    `IsInputFormStyledLabel` -
  Returns:

### createButton

    public static org.eclipse.swt.widgets.Button createButton(org.eclipse.swt.widgets.Composite parent,
                                                              int style,
                                                              org.eclipse.ui.forms.widgets.FormToolkit toolkit)

  Create Button from specified label by parent or Managed form

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `form` - Managed form
  Returns:
    Button

### createButton

    public static org.eclipse.swt.widgets.Button createButton(org.eclipse.swt.widgets.Composite parent,
                                                              int style,
                                                              org.eclipse.ui.forms.IManagedForm form)

  Create Button from specified label by parent or Managed form

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `form` - Managed form
  Returns:
    Button

### createText

    public static org.eclipse.swt.widgets.Text createText(org.eclipse.swt.widgets.Composite parent,
                                                          int style,
                                                          org.eclipse.ui.forms.widgets.FormToolkit toolkit)

  Create Text from specified label

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `form` - Managed form
  Returns:
    Text

### createText

    public static org.eclipse.swt.widgets.Text createText(org.eclipse.swt.widgets.Composite parent,
                                                          int style,
                                                          org.eclipse.ui.forms.IManagedForm form)

  Create Text by creation wizard or toolkit

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `toolkit` - Tool kit
  Returns:
    StyledText

### createText

    public static org.eclipse.swt.widgets.Text createText(org.eclipse.swt.widgets.Composite parent,
                                                          java.lang.String value,
                                                          int style,
                                                          org.eclipse.ui.forms.IManagedForm form)

  Create Text by parent or Managed form

  Parameters:
    `parent` - Parent composite
    `value` - Text's default value
    `style` - SWT style
    `form` - Managed form
  Returns:
    Label

### createText

    public static org.eclipse.swt.widgets.Text createText(org.eclipse.swt.widgets.Composite parent,
                                                          java.lang.String value,
                                                          int style,
                                                          org.eclipse.ui.forms.widgets.FormToolkit toolkit)

  Create Text by creation wizard or toolkit

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `toolkit` - Tool kit
  Returns:
    Text

### createComposite

    public static org.eclipse.swt.widgets.Composite createComposite(org.eclipse.swt.widgets.Composite parent,
                                                                    int style,
                                                                    org.eclipse.ui.forms.widgets.FormToolkit toolkit)

  Create Composite by parent or Managed form

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `form` - Managed form
  Returns:
    Composite

### createComposite

    public static org.eclipse.swt.widgets.Composite createComposite(org.eclipse.swt.widgets.Composite parent,
                                                                    int style,
                                                                    org.eclipse.ui.forms.IManagedForm form)

  Create Composite by creation wizard or toolkit

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `toolkit` - Tool kit
  Returns:
    Composite

### createCombo

    public static org.eclipse.swt.widgets.Combo createCombo(org.eclipse.swt.widgets.Composite parent,
                                                            int style,
                                                            org.eclipse.ui.forms.IManagedForm form)

  Create Combo from specified label by parent or Managed form

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `form` - Managed form
  Returns:
    Composite

### createCombo

    public static org.eclipse.swt.widgets.Combo createCombo(org.eclipse.swt.widgets.Composite parent,
                                                            int style,
                                                            org.eclipse.ui.forms.widgets.FormToolkit toolkit)

  Create Combo from specified label by parent or Managed form

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `form` - Managed form
  Returns:
    Composite

### createSpinner

    public static org.eclipse.swt.widgets.Spinner createSpinner(org.eclipse.swt.widgets.Composite parent,
                                                                int style,
                                                                org.eclipse.ui.forms.IManagedForm form)

  Create Spinner by parent or Managed form

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `form` - Managed form
  Returns:
    Spinner

### createSpinner

    public static org.eclipse.swt.widgets.Spinner createSpinner(org.eclipse.swt.widgets.Composite parent,
                                                                int style,
                                                                org.eclipse.ui.forms.widgets.FormToolkit toolkit)

  Create Spinner by parent or Managed form

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `form` - Managed form
  Returns:
    Spinner

### createStyledText

    public static org.eclipse.swt.custom.StyledText createStyledText(org.eclipse.swt.widgets.Composite parent,
                                                                     int style,
                                                                     org.eclipse.ui.forms.IManagedForm form)

  Create StyledText by parent or Managed form

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `form` - Managed form
  Returns:
    StyledText

### createStyledText

    public static org.eclipse.swt.custom.StyledText createStyledText(org.eclipse.swt.widgets.Composite parent,
                                                                     int style,
                                                                     org.eclipse.ui.forms.widgets.FormToolkit toolkit)

  Create Styled text by creation wizard or toolkit

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `toolkit` - Tool kit
  Returns:
    StyledText

### createTable

    public static org.eclipse.swt.widgets.Table createTable(org.eclipse.swt.widgets.Composite parent,
                                                            int style,
                                                            org.eclipse.ui.forms.IManagedForm form)

  Create StyledText by parent or Managed form

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `form` - Managed form
  Returns:
    StyledText

### createTable

    public static org.eclipse.swt.widgets.Table createTable(org.eclipse.swt.widgets.Composite parent,
                                                            int style,
                                                            org.eclipse.ui.forms.widgets.FormToolkit toolkit)

  Create table by creation wizard or toolkit

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `toolkit` - Tool kit
  Returns:
    Table

### createCCombo

    public static org.eclipse.swt.custom.CCombo createCCombo(org.eclipse.swt.widgets.Composite parent,
                                                             int style,
                                                             org.eclipse.ui.forms.IManagedForm form)

  Create CCombox by creation wizard or Managed form

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `form` - Managed form
  Returns:
    StyledText

### createCCombo

    public static org.eclipse.swt.custom.CCombo createCCombo(org.eclipse.swt.widgets.Composite parent,
                                                             int style,
                                                             org.eclipse.ui.forms.widgets.FormToolkit toolkit)

  Create CCombox by creation wizard or toolkit

  Parameters:
    `parent` - Parent composite
    `style` - SWT style
    `toolkit` - Tool kit
  Returns:
    StyledText